<div class="container">
  <div class="row mt-4">
    <div class="col text-center">
      <h3>Histórioco de Vendas Molekada</h3>
    </div>
  </div>
</div>

<div class="container text-center" *ngIf="!showModal">
  <div class="row col-12 text-center">
    <div class="col-2 text-center">
      <span class="flex flex-column gap-2">
        <label>Inicio</label>
        <p-calendar dateFormat="dd/mm/yy" [(ngModel)]="filter.inicio" (onSelect)="resetFilter()" [showIcon]="true" id="inicio"
        [readonlyInput]="true"></p-calendar>
      </span>
    </div>
    <div class="col-2 text-center">
      <span class="flex flex-column gap-2">
        <label>Fim</label>
        <p-calendar dateFormat="dd/mm/yy" [(ngModel)]="filter.fim" (onSelect)="resetFilter()" [showIcon]="true" id="inicio"
        [readonlyInput]="true"></p-calendar>
      </span>
    </div>
    <div class="col-3 text-center">
      <span class="flex flex-column gap-2">
        <label>Coleção</label>
        <p-dropdown [options]="colecoes" [(ngModel)]="filter.colecao" (onChange)="resetFilter()" placeholder="Selecione a Coleção"  [panelStyle]="{'width': '100%'}" optionLabel="descricao"></p-dropdown>
      </span>
    </div>
    <div class="col-3 text-center">
      <span class="flex flex-column gap-2">
        <label>Categoria</label>
        <p-dropdown [options]="categorias" [(ngModel)]="filter.categoria" (onChange)="resetFilter()" placeholder="Selecione a Coleção"  [panelStyle]="{'width': '100%'}" optionLabel="categoria_nome"></p-dropdown>
      </span>
    </div>
    <div class="col-2 text-center">
      <span class="flex flex-column gap-2">
        <label style="color: #fff;">____</label>
        <button pButton type="button" label="Buscar" [disabled]="!resetFlag" (click)="list(true)" class="top-button" style="height: 42px;"></button>
      </span>
    </div>
  </div>

</div>

<p-dialog *ngIf="showModal" [modal]="true" [(visible)]="showModal" [closable]="false" [style]="{width: '50vw'}">
  <div class="row">
    <div class="col-12 text-center">
      <img src="./../../../assets/images/DORSTEN 04.gif" style="align-self: center; width: 25%;" />
    </div>
    <div class="col-12 text-center">
      <b style="font-size: 15px;">{{labelLoading}}</b>
    </div>
  </div>
</p-dialog>

<div class="container" *ngIf="!showModal && vendasAux.length > 0">
  <div class="col-12 text-center">
    <p-table [value]="vendasAux" [paginator]="false" [rows]="10" [showCurrentPageReport]="false" [(first)]="first" [tableStyle]="{'min-width': '50rem'}"
      [rowsPerPageOptions]="[10]">
      <ng-template pTemplate="header">
          <tr>
              <th style="width:10%"></th>
              <th style="width:20%">Coleção</th>
              <th style="width:20%">SKU</th>
              <th style="width:50%">Produto</th>
              <th style="width:5%">Qtd.</th>
          </tr>
      </ng-template>
      <ng-template pTemplate="body" let-sale>
          <tr>
              <td><img [src]="sale.img ? sale.img : '../../../assets/images/teste.jpg'" style="border-radius: 50%;" width="50px" height="50px"></td>
              <td>{{sale.descricao}}</td>
              <td>{{sale.parte1}}-{{sale.parte2}}</td>
              <td>{{sale.descricao_prod}}</td>
              <td>{{sale.qtd}}</td>
          </tr>
      </ng-template>
    </p-table>
  </div>
  <div class="col-12 text-center">
    <b>{{first == 0 ? first + 1 : (first/10)+1}} / {{(vendas.length/10)}}+ | páginas carregadas</b>
  </div>
  <div class="col-12 text-center">
    <b>{{vendas.length}} itens carregados</b>
  </div>
  <div class="col-12 text-center">
    <div class="mb-3">
      <p-button type="button" icon="pi pi-chevron-left" (click)="prev()" styleClass="p-button-text"></p-button>
      <p-button type="button" icon="pi pi-refresh" (click)="reset()" styleClass="p-button-text"></p-button>
      <p-button type="button" icon="pi pi-chevron-right" (click)="next()" styleClass="p-button-text"></p-button>
    </div>
  </div>
</div>
<!-- <p-table *ngIf="produtosNew$ | async as produtos; else loadingError" [columns]="colsCadCom" #dt [value]="produtos.contents"
responsiveLayout="scroll" selectionMode="single" dataKey="codigo" (sortFunction)="sortListNew($event)"
[customSort]="true">
<ng-template pTemplate="header" let-columns>
  <tr>
    <th pSortableColumn="codigo">Código <p-sortIcon field="codigo"></p-sortIcon></th>
    <th pSortableColumn="name">Produto <p-sortIcon field="name"></p-sortIcon></th>
    <th>Preço médio</th>
    <th pSortableColumn="percentual_lucro">Percentual de lucro <p-sortIcon field="percentual_lucro"></p-sortIcon>
    </th>
    <th>Markup</th>
    <th>Custo</th>
    <th pSortableColumn="categoria_nome">Categoria <p-sortIcon field="categoria_nome"></p-sortIcon></th>
    <th pSortableColumn="itens_vendidos">Itens Vendidos <p-sortIcon field="itens_vendidos"></p-sortIcon></th>
  </tr>
</ng-template>
<ng-template pTemplate="body" let-rowData let-columns>
  <tr [pSelectableRow]="rowData">
    <td>{{columns.codigo}}</td>
    <td>{{columns.name}}</td>
    <td>{{columns.preco_media | currency: 'BRL'}}</td>
    <td>{{columns.percentual_lucro | number : '1.2-2'}}%</td>
    <td>{{columns.markup | number : '1.2-2'}}</td>
    <td>{{columns.custo | currency: 'BRL'}}</td>
    <td>{{columns.categoria_nome}}</td>
    <td>{{columns.itens_vendidos}}</td>
  </tr>
</ng-template>
</p-table> -->